Subject: bug#74912: Shepherd: Growing number of user shepherds when relogging

From: Ludovic Courtès <[email-masked]>
Date: Wed, 18 Dec 2024 23:35:58 +0100

Hello,

Jake <[email-masked]> skribis:

> I think I'm experiencing a bug in Shepherd since version 1.0.
> Whenever I log out and log back in again, my user shepherd from the
> previous login session is still present, and a new user shepherd spawns for
> the current login session.
> So relogging N times results in N+1 user shepherds.

I have a user shepherd via Guix Home and I experience the same problem
(though because I rarely log out it’s not really annoying :-)).

I suspect the problem has to do with how Guix Home determines whether or
not it should launch shepherd, but I haven’t checked yet.

Thanks for reporting the issue,
Ludo’.